package com.boman.report.mapper;

import com.boman.domain.dto.StatisticReportDto;
import com.boman.domain.entity.StatisticReport;
import com.boman.domain.entity.StatisticReport;
import com.boman.domain.entity.vo.StatisticReportVo;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author shiqian
 * @date 2021年08月24日 11:09
 **/
@Repository
public interface StatisticReportMapper {

    List<StatisticReportDto> selectReportInfo(Map<String, String> params);

    List<StatisticReport> selectList(StatisticReport report);

    int insert(StatisticReport report);

    int update(StatisticReport report);

    /**
     * 获取表报详情
     * @param id
     * @return
     */
    StatisticReportVo getReportInfo(Long id);

    StatisticReport getDetailById(Long id);

}
